GrailsContextEvent (Grails 4.0.3)
Date: 2020-04-03

Package: org.grails.spring

## [Java] Class GrailsContextEvent

- org.grails.spring.GrailsContextEvent

- Signals various events related to the Grails context loading.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DYNAMIC_METHODS_REGISTERED` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsContextEvent (org.springframework.web.context.WebApplicationContext ctx, int eventType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getEventType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.context.ApplicationEvent` | `org.springframework.context.ApplicationEvent#getTimestamp(), org.springframework.context.ApplicationEvent#getSource(), org.springframework.context.ApplicationEvent#toString(), org.springframework.context.ApplicationEvent#wait(long, int), org.springframework.context.ApplicationEvent#wait(long), org.springframework.context.ApplicationEvent#wait(), org.springframework.context.ApplicationEvent#equals(java.lang.Object), org.springframework.context.ApplicationEvent#hashCode(), org.springframework.context.ApplicationEvent#getClass(), org.springframework.context.ApplicationEvent#notify(), org.springframework.context.ApplicationEvent#notifyAll()`
    `class java.util.EventObject` | `java.util.EventObject#getSource(), java.util.EventObject#toString(), java.util.EventObject#wait(long, int), java.util.EventObject#wait(long), java.util.EventObject#wait(), java.util.EventObject#equals(java.lang.Object), java.util.EventObject#hashCode(), java.util.EventObject#getClass(), java.util.EventObject#notify(), java.util.EventObject#notifyAll()`

- - ### Field Detail

    - #### public static final int DYNAMIC_METHODS_REGISTERED

  - ### Constructor Detail

    - #### public GrailsContextEvent(org.springframework.web.context.WebApplicationContext ctx, int eventType)

  - ### Method Detail

    - #### public int getEventType()